com.r3corda.contracts / InterestRateSwap / Clause / Group

# Group

`class Group : GroupClauseVerifier<State, UniqueIdentifier>`

### Constructors

<init> | `Group()`

### Properties

clauses | `val clauses: <ERROR CLASS>`
ifMatched | `val ifMatched: MatchBehaviour` Behaviour if this clause is not matches
ifNotMatched | `val ifNotMatched: MatchBehaviour` Behaviour if this clause is matched

### Inherited Properties

requiredCommands | `open val requiredCommands: Set<Class<out CommandData>>` Classes for commands which must ALL be present in transaction for this clause to be triggered

### Functions

groupStates | `fun groupStates(tx: TransactionForContract): List<InOutGroup<State, UniqueIdentifier>>`

### Inherited Functions

verify | `open fun verify(tx: TransactionForContract, commands: Collection<AuthenticatedObject<CommandData>>): Set<CommandData>` Verify the transaction matches the conditions from this clause. For example, a "no zero amount output" clause would check each of the output states that it applies to, looking for a zero amount, and throw IllegalStateException if any matched.